# Interface MavenPomDeveloper

public interface MavenPomDeveloper
A developer of a Maven publication.

Since:
  4.8
See Also:
  - `MavenPom`
  - `MavenPomDeveloperSpec`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getEmail()`
  The email
  `Property<String>`
  `getId()`
  The unique ID of this developer in the SCM.
  `Property<String>`
  `getName()`
  The name of this developer.
  `Property<String>`
  `getOrganization()`
  The organization name of this developer.
  `Property<String>`
  `getOrganizationUrl()`
  The organization's URL of this developer.
  `MapProperty<String,String>`
  `getProperties()`
  The properties of this developer.
  `SetProperty<String>`
  `getRoles()`
  The roles of this developer.
  `Property<String>`
  `getTimezone()`
  The timezone of this developer.
  `Property<String>`
  `getUrl()`
  The URL of this developer.

- ## Method Details

  - ### getId

    @Input @Optional Property<String> getId()
    The unique ID of this developer in the SCM.
    Since:
      4.8

  - ### getName

    @Input @Optional Property<String> getName()
    The name of this developer.
    Since:
      4.8

  - ### getEmail

    @Input @Optional Property<String> getEmail()
    The email
    Since:
      4.8

  - ### getUrl

    @Input @Optional Property<String> getUrl()
    The URL of this developer.
    Since:
      4.8

  - ### getOrganization

    @Input @Optional Property<String> getOrganization()
    The organization name of this developer.
    Since:
      4.8

  - ### getOrganizationUrl

    @Input @Optional Property<String> getOrganizationUrl()
    The organization's URL of this developer.
    Since:
      4.8

  - ### getRoles

    @Input SetProperty<String> getRoles()
    The roles of this developer.
    Since:
      4.8

  - ### getTimezone

    @Input @Optional Property<String> getTimezone()
    The timezone of this developer.
    Since:
      4.8

  - ### getProperties

    @Input MapProperty<String,String> getProperties()
    The properties of this developer.
    Since:
      4.8